/*======================================
Theme Name: ELM Divi childtheme
Theme URI: https://www.elegantthemes.com/gallery/divi/
Description: Divi Child Theme
Author: Matilda Einarsson

Template: Divi

======================================*/

/*======================================
 * GLOBAL
======================================*/

/* Cookie consent */

.cky-title {
	font-family: 'Lato',Helvetica,Arial,Lucida,sans-serif !important;	
}

/* ACTIVE PAGE GLOBAL MENU */

.et_pb_menu_0_tb_header.et_pb_menu ul li.active.menu-item a, 
.et-db #et-boc .et-l .et_pb_menu_0_tb_header.et_pb_menu ul li.active.menu-item a{	
	color: #8CAFE5 !important;
	font-weight: 800;
}

/* SCROLL TO TOP */

.et_pb_scroll_top.et-pb-icon {
	background-color: #223D5D !important;
	border-radius: 100px;
	right: 32px !important;
	bottom: 32px !important;
}

/* MENU */

/* Search field position */

.search-bar.et_pb_menu .et_pb_menu__search-container,
.search-bar-global.et_pb_menu .et_pb_menu__search-container {
	right: 0;
	left: auto !important;
	width: 60% !important;
	
}
.search-bar.et_pb_menu .et_pb_menu__search-input {
	color: #ffffff;
}
.et_pb_sticky .search-bar.et_pb_menu .et_pb_menu__search-input,
.search-bar-global.et_pb_menu .et_pb_menu__search-input{
	color: #000000;
}

/* MEGA-MENU */

.et_pb_menu_1_tb_header.et_pb_menu .nav .mega-menu ul.sub-menu li.first-level.second-level > a {
	text-transform: uppercase;
	font-size: 15px !important;
	font-weight: 700 !important;
	color: #8CAFE5 !important;
}

/* MOBILE MENU STYLING */

/**
 * Make Divi mobile menu scrollable.
 * @source  https://divicio.us
 */
@media (max-width: 980px) {
    #et_mobile_nav_menu .et_mobile_menu,
    .dvcs_scrollable_mobile_menu.et_pb_menu .et_mobile_menu,
    .dvcs_scrollable_mobile_menu.et_pb_fullwidth_menu .et_mobile_menu {
        max-height: 65vh; /* Adjust this value as needed */
        overflow-y: auto;
    }
}

@media (min-width: 767px) { 

	.et_pb_menu .et_pb_menu__menu > nav > ul > li.mobile-only {
		display: none !important;
	}
}

/* X icon in expanded mobile menu */

.mobile_nav.opened .mobile_menu_bar:before {
	content: '\4d';
}


.et_mobile_menu .first-level > a {
	background-color: transparent;
	position: relative;
}
.et_mobile_menu .first-level > a:after {
	font-family: 'ETmodules';
	content: '\4c';
	font-weight: normal;
	position: absolute;
	font-size: 16px;
	top: 13px;
	right: 10px;
}
.et_mobile_menu .first-level > .icon-switch:after{
	content: '\4d';
}
.second-level {
	display: none;
}
.reveal-items {
	display: block;
}
.et_mobile_menu {
	margin-top: 20px;
	width: 100%;
}

.et_mobile_menu ul.sub-menu li a span.menu-item-description {
	display: block;
	color: #AEA79D;
	font-family: 'Lato',Helvetica,Arial,Lucida,sans-serif;
	font-weight: 400;
	font-size: 14px;
	line-height: normal;
}

/* BLOG MODULE */

/* List view styling */
/*add media query so changes only affect tablet and desktop*/

@media (min-width: 767px) {

	/*set the image width*/

	.pa-blog-list .entry-featured-image-url  {
		width: 30%;
		float: left;
		margin-bottom: 0!important;
		padding-top: 30%;
  		display: block;
	}

	/*set the details width*/

	.pa-blog-list .entry-title,
	.pa-blog-list .post-meta,
	.pa-blog-list .post-content {
		width: 70%;
		float: left;
		padding-left: 30px;
	}
}
.pa-blog-list .entry-featured-image-url img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: cover;
}

  /*blog image aspect ratio landscape 4:3*/
  .pa-blog-image-4-3 .entry-featured-image-url,
  .et-db #page-container #et-boc .pa-blog-image-4-3 .entry-featured-image-url{
    padding-top: 75%;
    display: block;
    margin: 0;
    margin-bottom: 8px;
  }
  
  .pa-blog-image-4-3 .entry-featured-image-url img,
  .et-db #page-container #et-boc .pa-blog-image-4-3 .entry-featured-image-url img {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    object-fit: cover;
	background-color: #8CAFE5;
  }
  
  .pa-blog-image-4-3 .et_pb_image_container,
  .et-db #page-container #et-boc .pa-blog-image-4-3 .et_pb_image_container {
    margin: -10px -10px 0px;
  }

.et-db #page-container #et-boc .blog-grid .entry-featured-image-url img::before,
.et-db #page-container #et-boc .pa-blog-list .entry-featured-image-url img::before,
.et-db #page-container #et-boc .blog-grid .entry-featured-image-url img,
.et-db #page-container #et-boc .pa-blog-list .entry-featured-image-url {
	font-size: 0;
}

.blog-grid a.entry-featured-image-url img,
.pa-blog-list a.entry-featured-image-url img{
	background-image: url(http://evangelisklutherskmission.se/wp-content/uploads/2024/02/blog.png);
	background-size: cover;
}

/* COMPACT LIST */
/*add the border and spacing around the entire blog list*/
.pa-blog-compact-list.et_pb_posts {
	padding: 15px 0 10px;
}

/*adjust the spacing and add the border after each blog post*/

.pa-blog-compact-list article:not(:last-child) {
	margin-bottom: 20px !important;
	padding-bottom: 10px !important;
	border-bottom: 2px solid rgba(248,248,247,0.1);
}

.pa-blog-compact-list .et_pb_post:last-child {
	margin-bottom: 0px;
}


/*make the title link spread over the entire post to make it clickable*/

.pa-blog-compact-list .entry-title a:before {
	position: absolute;
	display: block;
	content: "";
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	z-index: 1;
}


/*add the arrow icon on each blog post*/
.pa-blog-compact-list .entry-title a:after {
	content: "\35";
	font-family: ETModules;
	font-weight: 800;
	font-size: 1em;
	line-height: 1em;
	color: #223D5D;
	position: absolute;
	top: 2px;
	right: 0px;
	padding: 2px;
	border-radius: 50%;
	width: 1em;
	text-align: center;
}

.pa-blog-compact-list.light .entry-title a:after {
	color: #ffffff;
}

/*change the icon color on hover*/
.pa-blog-compact-list .entry-title a:hover:after {
	color: #0070fc;
	transition: all ease .3s;
}
.pa-blog-compact-list.light .entry-title a:hover:after {
	color: #f7d9c0;
}

/* SAME HEIGHT COLUMNS ON BLOG-POSTS */

.pa-blog-equal-height .pa-auto-height {
    height: auto !important;
}

.pa-blog-equal-height .pa-auto-margin {
    margin-top: 20px !important;
}


/* CATEGORIES IN BLOG MODULE */


/* Places blog category in image */
.divi-blog-move-category .et_pb_blog_grid .et_pb_post {
	position: relative;
}

.divi-blog-move-category .et_pb_blog_grid .et_pb_post .post-meta a:nth-child(2) {
	position: absolute;
	top: 0;
	left: 0;
	margin-bottom: 0;
	color: #223D5D!important;
	background: #F1F6FD!important;
	padding: 6px 12px;
	margin: 15px;
	border-radius: 50px;
}


/* I FOKUS */
 /*add media query so changes only affect tablet and phone*/

@media (max-width: 766px) {
	.i-fokus-blog .entry-featured-image-url {
		width: 100%;
		aspect-ratio: 1 / 1;
	}
	.i-fokus-blog .entry-featured-image-url img {
		height: 100%;
		width: 100%;
		object-fit: cover;
	}
	
}
/*add media query so changes only affect tablet and desktop*/
@media (min-width: 767px) {
    
    /*set the image width*/
    
    	.i-fokus-blog .entry-featured-image-url  {
    		width: 30%;
    		float: left;
    		margin-bottom: 0!important;
    	}
    
    /*set the details width*/
    
    	.i-fokus-blog .entry-title, 
    	.i-fokus-blog .post-meta,
    	.i-fokus-blog .post-content {
    		width: 70%;
    		float: left;
    		padding-left: 48px;
    	}
		
		/*blog image aspect ratio square 1:1*/

		.i-fokus-blog .entry-featured-image-url {
		  padding-top: 30%;
		  display: block;
		}

		.i-fokus-blog .entry-featured-image-url img {
		  position: absolute;
		  height: 100%;
		  width: 100%;
		  top: 0;
		  left: 0;
		  right: 0;
		  bottom: 0;
		  object-fit: cover;
		}
    }

	.i-fokus-blog .entry-title {
		padding-bottom: 24px;
}

/*BLOGGINLÄGG */
.blog-meta-data {
	display: flex;
	flex-direction: row;
	justify-content: center;
}

/* KONTAKT-KORT */

.team-module .column {
	display: flex;
	flex-direction: column;
	gap: 3%;
}

.team-module .et_pb_image_container {
	width: 80%;
  	aspect-ratio: 1/1;
  	margin: 0 auto 16px auto;
}

.team-module .et_pb_post .entry-featured-image-url {
	width: 100%;
	height: 100%;
}

.team-module .et_pb_blog_grid .et_pb_image_container img {
	height: 100%;
  	object-fit: cover;
}

.team-module .et_pb_blog_grid .et_pb_post {
	padding: 0;
	margin-bottom: 30% !important;
}

/*make Divi Blog module post title link unclickable*/

.pa-blog-no-links .et_pb_post .entry-title a,
.pa-blog-no-links .et_pb_post .et_pb_image_container a {
	pointer-events: none;
}

/* ET shortcode styling */

/* Info boxes */
div.et-box {
	box-shadow: none !important;
	border: none !important;
	border-radius: 20px !important;
  	overflow: hidden;
}

.et-learn-more, 
.et-shadow .et-box-content,
.et-info .et-box-content, 
.et-download .et-box-content,
.et-bio .et-box-content{
	background-color: #F8F8F7 !important;
	border-radius: 20px;
	border: none !important;
	box-shadow: none !important;
	text-shadow: none !important;
}
div.et-shadow {
	border: none;	
}


.et-learn-more h3.heading-more, .et-tabs-container .et-tabs-control, .et-tabs-container ul.et_shortcodes_mobile_nav, .et_shortcodes_controller_nav, .et-testimonial-author-info, .et-protected-title, .pricing-heading, .pricing-content-bottom {
	background: none !important;
	background-color: #EAE8E5 !important;
}

.et-learn-more h3.heading-more {
	border-radius: 20px;
	color: #7D7369 !important;
	text-shadow: none !important;
}

.et-learn-more .learn-more-content {
	border: none !important;
}

/* ET Buttons */

a.small-button, a.big-button, a.icon-button {
	text-shadow: none !important;
	box-shadow: none !important;
	
	font-family: 'Lato' !important;
  	font-size: 16px !important;	
	
	border-radius: 40px !important;
	border: none !important;
}

a.smallblue, a.bigblue, a.icon-button.download-icon {
	border: none !important;
	box-shadow: none!important;
	
	background: none !important;
	background-color: #8CAFE5 !important;
	color: #223D5D !important;
}

a.smallblue:hover.small-button, a.bigblue:hover.big-button, 
a.icon-button.small-button:hover, a.icon-button.big-button:hover {
	color: #8CAFE5 !important;
	background-color: #223D5D !important;
}

.et_pb_column a.big-button {
	font-weight: bold !important;
}

a.smallorange, a.bigorange {
	background: none!important;
	background-color: #DE8639 !important;
}
a.smallorange.small-button, a.bigorange.big-button {
	color: #FEF7F1 !important;
}
a.smallorange.small-button:hover, a.bigorange.big-button:hover {
	background-color: #F7D9C0 !important;
	color: #DE8639 !important;
}

a.smalllightblue.small-button, a.biglightblue {
	background: none !important;
	border: 2px solid #8CAFE5 !important;
	color: #8CAFE5 !important;
}
a.smalllightblue.small-button:hover, a.biglightblue.big-button:hover {
	background: #8CAFE5 !important;
	color: #ffffff !important;
}

/* Paralax */ 

.et-db #et-boc .et-l .et_parallax_bg {
	background-position: center !important;
}

/*======================================
 * PAGE SPECIFIC
======================================*/

/* OM ELM */

/*show desktop menu on phone*/

@media (max-width: 980px) {
	.pa-open-mobile-menu .et_pb_menu__menu {
		display: flex!important;
	}
	.pa-open-mobile-menu .et_mobile_nav_menu {
		display: none!important;
	}
}

/* GÅRDAR */

.gardar-blurbs .et_pb_main_blurb_image img {
	height: 300px;
	object-fit: cover;
}

/* FÖRENINGAR */

.wpsl-search, #wpsl-search-input,
#wpsl-wrap #wpsl-stores li {
  	color: #000 !important;
  	background: #fff !important;
	font-family: 'Lato',Helvetica,Arial,Lucida,sans-serif;
}

#wpsl-search-wrap label,
#wpsl-wrap #wpsl-stores li *,
#wpsl-gmap .wpsl-info-window {
  	color: #000 !important;
}

.wpsl-search {
	padding: 0;
}

/* Search input */ 
#wpsl-search-wrap {
	margin-bottom: 8px;
}

#wpsl-search-wrap form,
#wpsl-search-wrap form .wpsl-input {
	display: flex;
	flex-grow: 1;
	margin: 0;
}

#wpsl-search-wrap input#wpsl-search-input {
	flex-grow: 1;
	border: 1px solid rgb(221, 221, 221);
	border-radius: 40px 0px 0px 40px;
	background-color: #F8F8F7 !important;
	
	padding: 16px;
}

.wpsl-input > div { display: none;}

/* Search button */
#wpsl-search-btn, .wpsl-search-btn-wrap {
	margin: 0 !important;	
}
#wpsl-search-btn {
	height: 100%;
	border-radius: 0px 40px 40px 0px !important;
	font-family: 'Lato',Helvetica,Arial,Lucida,sans-serif;
 	font-weight: 700;
  	color: #FFFFFF !important;
  	background-color: #223D5D !important;
	background-image: none !important;
  	border-color: #223D5D !important;
	width: 56px;
}

#wpsl-gmap img[src*="red@2x"] {
    display: none !important;
}

/* Result list */

#wpsl-result-list .wpsl-store-location strong a {
	text-decoration: none;
  	font-style: normal;
	font-family: 'Lato',Helvetica,Arial,Lucida,sans-serif;
}
#wpsl-result-list .wpsl-store-location p:first-child strong {
	font-size: 24px;
	color: #223D5D !important;	
}

#wpsl-result-list .wpsl-store-location strong a::after {
	content: '&';
	color: #223D5D;
	line-height: inherit;
	font-size: inherit !important;
	opacity: 1;
	margin-left: .3em;
	left: auto;
	font-family: ETmodules !important;
	font-weight: 400 !important;
}

@media (min-width: 767px) {
	.wpsl-store-location {
		display: flex;
	}
	.wpsl-store-location p:first-child {
		flex-grow: 1;
	}
	.wpsl-store-location p.wpsl-contact-details {
		margin-top: 24px !important;
	}
}

#wpsl-wrap #wpsl-result-list li {
	border-bottom: 2px solid #F8F8F7 !important;
}

/* UTLAND */

@media (min-width: 981px) {
	div.et_pb_column.utland-about-page-column-1 {
		width: 33.33% !important;
	}	
	div.et_pb_column.utland-about-page-column-2 {
		width: 63.6% !important;
	}	
}

@media (max-width: 980px) { 
	.custom_row .et_pb_row {
		display: -webkit-box;
		display: -moz-box;
		display: -ms-flexbox;
		display: -webkit-flex;
		display: flex;
		-webkit-flex-wrap: wrap; /* Safari 6.1+ */
		flex-wrap: wrap;
		gap: 40px;
	}

/*** custom classes that will designate the order of columns in the flex box row ***/
	.first-on-mobile {
		-webkit-order: 1;
		order: 1;
	}

	.second-on-mobile {
		-webkit-order: 2;
		order: 2;
	}
}

/* CALENDAR */

/*make the event elements flexible*/

.decm-events-details {
  display: flex;
  flex-direction: column;
}

/*title*/
.entry-title.title2.summary {
  order: 2;
}

.calender-overview .entry-title.title2.summary {
  order: 1;
}

/*details*/
.decm-show-detail-center {
  order: 1;
  margin-bottom: 4px;
}

.calender-overview .decm-show-detail-center {
  order: 2;
}

/*excerpt*/
.ecs-excerpt {
  order: 3;
}

/*button*/
.ecs-showdetail.et_pb_button_wrapper {
  order: 4;
}

/* BLOG PAGE */

/* Category menu*/

.category-menu {
	display: flex;
	flex-direction: column;
	margin: 16px 0 !important;
  }
  .category-menu .wp-block-categories {
	  display: flex;
	flex-wrap: wrap;
	  gap: 8px;
  }
  
  .category-menu .cat-item > .children {
	display: none;
  }
  
  .category-menu .children li {
	margin-left: 0;
  }
  
  #subcategory-menu.category-menu div.widget_categories {
	width: 100% !important;
	margin-bottom: 16px;
  }
  
  .category-menu .cat-item a, .blog-post-categories a {
	padding: 8px 16px;
	margin-bottom: 8px;
	border-radius: 40px;
  }
  
  .category-menu li.cat-item {
	  position: relative;
	transition: background-color 300ms ease 0ms !important;
  }
  
  .category-menu li.cat-item.current-cat > a,
  .category-menu li.cat-item.current-cat-parent > a,
  .blog-post-categories a {  
	background-color: #223D5D;
  }
  .category-menu li.cat-item a:hover,
  .blog-post-categories a:hover {  
	background-color: #8CAFE5;
  }
  .category-menu li.cat-item.current-cat > a, 
  .category-menu li.cat-item.current-cat-parent > a { 
	color: #ffffff !important;
  }
  
  #subcategory-menu > .children {
	border-top: 2px solid #EAE8E5;
	display: flex;
	flex-wrap: wrap;
	flex-grow: 1;
	gap: 16px 8px;
	
	margin: 0 0 24px 0;
	padding: 16px !important;
  }
  
  .current-cat::after,
  .current-cat-parent::after {
	content: "";
	width: 0;
	height: 0;
	border: 5px solid transparent;
	border-top-color: transparent;
	border-top-color: #223D5D;
	position: absolute;
	top: 115%;
  	left: 50%;
  }

.blog-post-categories h4 {
	display: flex;
  	gap: 4px;
  	flex-wrap: wrap;
  	justify-content: center;
}
  
  /* mobile category */
  
  .category-menu-mobile #wp-block-categories-2 {
	border: none;
	background: none; 
	font-family: 'Lato',Helvetica,Arial,Lucida,sans-serif;
  }

